Bug 1296411 - [abrt] gjs: gdk_wayland_device_get_focus(): gjs-console killed by SIGSEGV
[abrt] gjs: gdk_wayland_device_get_focus(): gjs-console killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1295832
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4d2443cc4cda65eec524c557ea9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 03:10 EST by Petr Schindler
Modified: 2016-03-28 10:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 10:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.65 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: cgroup (259 bytes, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: core_backtrace (7.01 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: dso_list (13.00 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: environ (772 bytes, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: exploitable (95 bytes, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: maps (57.11 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: mountinfo (4.20 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: open_fds (1.74 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: proc_pid_status (1.19 KB, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-07 03:10 EST, Petr Schindler
no flags Details

  None (edit)
Description Petr Schindler 2016-01-07 03:10:19 EST
Description of problem:
In polari I clicked on + button -> chose Enter the room (I use it in check, so names will be just my guesses) -> Wrote '#' to the 'Room name' field. It suggested a previously visited room but after that it immediately crashed.

Version-Release number of selected component:
gjs-1.45.3-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/polari --gapplication-service
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/gjs-console
global_pid:     4820
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_device_get_focus at gdkdevice-wayland.c:491
 #1 gdk_wayland_seat_grab at gdkdevice-wayland.c:2466
 #2 gtk_entry_completion_popup at gtkentrycompletion.c:1668
 #3 gtk_entry_completion_timeout at gtkentrycompletion.c:2194
 #9 g_main_context_iteration at gmain.c:3901
 #10 g_application_run at gapplication.c:2334
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:525
 #13 gjs_invoke_c_function at gi/function.cpp:999
 #14 function_call at gi/function.cpp:1322
Comment 1 Petr Schindler 2016-01-07 03:10:25 EST
Created attachment 1112372 [details]
File: backtrace
Comment 2 Petr Schindler 2016-01-07 03:10:27 EST
Created attachment 1112373 [details]
File: cgroup
Comment 3 Petr Schindler 2016-01-07 03:10:28 EST
Created attachment 1112374 [details]
File: core_backtrace
Comment 4 Petr Schindler 2016-01-07 03:10:30 EST
Created attachment 1112375 [details]
File: dso_list
Comment 5 Petr Schindler 2016-01-07 03:10:31 EST
Created attachment 1112376 [details]
File: environ
Comment 6 Petr Schindler 2016-01-07 03:10:33 EST
Created attachment 1112377 [details]
File: exploitable
Comment 7 Petr Schindler 2016-01-07 03:10:34 EST
Created attachment 1112378 [details]
File: limits
Comment 8 Petr Schindler 2016-01-07 03:10:36 EST
Created attachment 1112379 [details]
File: maps
Comment 9 Petr Schindler 2016-01-07 03:10:38 EST
Created attachment 1112380 [details]
File: mountinfo
Comment 10 Petr Schindler 2016-01-07 03:10:39 EST
Created attachment 1112381 [details]
File: namespaces
Comment 11 Petr Schindler 2016-01-07 03:10:41 EST
Created attachment 1112382 [details]
File: open_fds
Comment 12 Petr Schindler 2016-01-07 03:10:42 EST
Created attachment 1112383 [details]
File: proc_pid_status
Comment 13 Petr Schindler 2016-01-07 03:10:47 EST
Created attachment 1112384 [details]
File: var_log_messages
Comment 14 Marek Doležel 2016-01-12 08:52:37 EST
Should be fixed by gtk3-3.19.6-1.fc24
Comment 15 Jan Kurik 2016-02-24 09:14:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Matthias Clasen 2016-03-28 10:31:59 EDT

*** This bug has been marked as a duplicate of bug 1295832 ***

Note You need to log in before you can comment on or make changes to this bug.